@charset 'UTF-8';
/*
**********************************************************************

* common.css

*********************************************************************
*/
/* =========================================================
body
========================================================= */
body
{
    font-family: 'Noto Sans Japanese', 'ヒラギノ角ゴ Pro W3', 'Hiragino Kaku Gothic Pro', 'メイリオ', 'Meiryo', Osaka, sans-serif;
    font-size: 19px;
    font-size: 1.9rem;
    line-height: 1.7;

    min-width: 320px;

    background: #fff;
}

@media only screen and (min-width: 769px)
{
    body
    {
        font-size: 19px;
        font-size: 1.9rem;

        min-width: 1130px;
    }
}

@media only screen and (max-width: 768px)
{
    body
    {
        font-size: 15px;
        font-size: 1.5rem;
    }
}

/* =========================================================
layout
========================================================= */
#Wrapper
{
    overflow: hidden;

    width: 100%;
}

.inner
{
    position: relative;

    margin: 0 auto;
}

img
{
    max-width: 100%;
    height: auto;
}

@media only screen and (min-width: 769px)
{
    .inner
    {
        max-width: 1100px;
        padding: 0 15px;
    }
    .inner.typeL
    {
        max-width: 1260px;
    }
}

@media only screen and (max-width: 768px)
{
    .inner
    {
        padding: 0 10px;
    }
}

/* =========================================================
util
========================================================= */
.clrGreen
{
    color: #8db129;
}

@media only screen and (min-width: 769px)
{
    .shadowBtn
    {
        -webkit-box-shadow: 0 2px 2px rgba(0, 0, 0, .5);
                box-shadow: 0 2px 2px rgba(0, 0, 0, .5);
    }
    .shadowBtn:hover
    {
        -webkit-transform: translateY(2px);
                transform: translateY(2px);

        -webkit-box-shadow: none;
                box-shadow: none;
    }
}

@media only screen and (max-width: 768px)
{
    .shadowBtn
    {
        -webkit-box-shadow: 0 1px 1px rgba(0, 0, 0, .5);
                box-shadow: 0 1px 1px rgba(0, 0, 0, .5);
    }
}

/* =========================================================
#GHead
========================================================= */
#GHead
{
    line-height: 1;

    position: relative;
}
#GHead img
{
    vertical-align: top;
}
#GHead .srgLogo
{
    position: absolute;
    top: 50%;
    right: 0;

    -webkit-transform: translateY(-50%);
            transform: translateY(-50%);
}

@media only screen and (min-width: 769px)
{
    #GHead
    {
        padding: 48px 0;
    }
    #GHead .sitelogo
    {
        width: 545px;
    }
    #GHead .srgLogo
    {
        width: 250px;
        margin-top: 15px;
    }
}

@media only screen and (max-width: 768px)
{
    #GHead
    {
        -webkit-box-sizing: border-box;
                box-sizing: border-box;
    }
    #GHead .inner
    {
        height: 67px;
    }
    #GHead .sitelogo
    {
        position: absolute;
        top: 50%;
        left: 10px;

        width: 54%;
        max-width: 205px;

        -webkit-transform: translateY(-50%);
                transform: translateY(-50%);
    }
    #GHead .srgLogo
    {
        right: 10px;

        width: 34.666%;
        max-width: 130px;
    }
}

/* =========================================================
#Contents
========================================================= */
#Contents
{
    position: relative;
}


/* footer
========================================================================== */
footer {
  width: 100%;
  min-width: 1100px;
  padding: 21px;
  box-sizing: border-box; }
  footer .left-block {
    float: left;
    letter-spacing: -.40em; }
    footer .left-block p {
      display: inline-block;
      letter-spacing: normal;
      vertical-align: middle;
      padding-bottom: 20px;
     }
      footer .left-block p a {
        margin-right: 8px; }
  footer .btn-company {
    margin-left: 30px; }
    footer .btn-company a {
      text-decoration: none;
      line-height: 1;
      padding: 3px 8px;
      border: 1px solid #ddd;
      font-weight: 500;
      -webkit-border-radius: 3px;
      -moz-border-radius: 3px;
      -ms-border-radius: 3px;
      -o-border-radius: 3px;
      border-radius: 3px;
      font-size: 13px;
      font-size: 1.3rem; }
   footer .btn-company a:hover {
      text-decoration: underline;
}

      footer .btn-company a span {
        background: url(/hubfs/244588604/img/common/icon_blank.png) no-repeat left center;
        background-size: 14px auto;
        padding-left: 18px; }
  footer .copyright {
    float: right;
    padding-top: 20px;
    font-size: 10px;
    font-size: 1rem; }

@media only screen and (max-width: 767px) {
  footer {
    padding: 18px 10px 26px 10px;
    min-width: 0; }
    footer .left-block,
    footer .copyright {
      float: none; }
    footer .left-block img {
      width: 170px;
      height: auto; }
    footer .left-block .btn-company {
      float: right;
      margin-left: 0;
      padding-top: 10px; }
    footer .copyright {
      padding-top: 18px;
      text-align: center; } }


/*# sourceMappingURL=data:application/json;charset=utf8;base64,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 */
